import http from "@/api";
const NAV_CLASS = `/navigation`;
// 导航栏类型接口
export const getNavClassListApi = () => {
    return http.get<any>(`${NAV_CLASS}/list`);
};
//列表
export const getNavClassListIndexApi = (params: any) => {
    return http.get<any>(`${NAV_CLASS}/index`, params);
};
// 导航详情接口
export const getNavClassListReadApi = (params: any) => {
    return http.get<any>(`${NAV_CLASS}/read/${params}`);
};
// 导航新增接口
export const getNavClassListSaveApi = (params: any) => {
    return http.post<any>(`${NAV_CLASS}/save`, params);
};
// 导航更新接口
export const getNavClassListEditUpApi = (params: any) => {
    const { id } = params;
    return http.put<any>(`${NAV_CLASS}/update/${id}`, params);
};
// 导航删除接口
export const getNavClassListDelApi = (params: any) => {
    return http.delete<any>(`${NAV_CLASS}/delete/${params}`);
};
